Skip to content
OpenPostDocs
OpenPostDocs
Auth

Remove a passkey from the current user

POST/auth/security/passkeys/{passkey_id}/remove

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

passkey_id*string

Passkey ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/security/passkeys/string/remove" \  -H "Content-Type: application/json" \  -d '{    "current_password": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/SecurityStatusOutputBody.json",  "methods": [    "string"  ],  "passkeys": [    {      "created_at": "2019-08-24T14:15:22Z",      "id": "string",      "last_used_at": "2019-08-24T14:15:22Z",      "name": "string"    }  ],  "totp_enabled": true,  "user": {    "$schema": "https://example.com/api/v1/schemas/UserProfile.json",    "avatar_url": "string",    "composer_experience": "specialized",    "created_at": "2019-08-24T14:15:22Z",    "display_name": "string",    "email": "string",    "email_verified": true,    "has_password": true,    "id": "string",    "is_admin": true,    "is_managed": true,    "legal_acceptance_required": true,    "legal_accepted_at": "2019-08-24T14:15:22Z",    "managed_organization_name": "string",    "password_usable": true,    "privacy_version": "string",    "public_profile_enabled": true,    "public_profile_visible_fields": [      "string"    ],    "terms_version": "string",    "username": "string"  }}